package com.sf.system.deployment.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.sf.common.annotation.Excel;
import com.sf.common.core.domain.BaseEntity;

/**
 * H5模块包对象 DEPLOYMENT_MODULE_LIST
 * 
 * @author ztzh
 * @date 2024-04-22
 */
public class DeploymentModuleList extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 应用id */
    private Long appId;

    /** 应用core */
    private String appCode;

    /** 上传类型 */
    private String uploadingType;

    /** 模块包名称名称 */
    @Excel(name = "模块包名称名称")
    private String moduleName;

    /** 版本号 */
    @Excel(name = "版本号")
    private String version;

    /** 安装包 */
    @Excel(name = "安装包")
    private String moduleUrl;

    /** 安装包大小 */
    @Excel(name = "安装包大小")
    private String moduleSize;

    /** 系统类型 */
    @Excel(name = "系统类型")
    private String sysType;

    /** 模块类型 */
    @Excel(name = "模块类型")
    private String moduleType;

    /** 上传状态 */
    @Excel(name = "上传状态")
    private String uploadingStatus;

    /** 日志id */
    private Long uploadingLogId;

    /** 排序 */
    private Long orderNum;

    /** 逻辑删除,0:未删除,1:删除 */
    private Long isDelete;

    /** 创建人 */
    private String created;

    /** 更新人 */
    private String modified;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAppId(Long appId) 
    {
        this.appId = appId;
    }

    public Long getAppId() 
    {
        return appId;
    }
    public void setAppCode(String appCode)
    {
        this.appCode = appCode;
    }

    public String getAppCode()
    {
        return appCode;
    }
    public void setUploadingType(String uploadingType) 
    {
        this.uploadingType = uploadingType;
    }

    public String getUploadingType() 
    {
        return uploadingType;
    }
    public void setModuleName(String moduleName) 
    {
        this.moduleName = moduleName;
    }

    public String getModuleName() 
    {
        return moduleName;
    }
    public void setVersion(String version) 
    {
        this.version = version;
    }

    public String getVersion() 
    {
        return version;
    }
    public void setModuleUrl(String moduleUrl) 
    {
        this.moduleUrl = moduleUrl;
    }

    public String getModuleUrl() 
    {
        return moduleUrl;
    }
    public void setModuleSize(String moduleSize) 
    {
        this.moduleSize = moduleSize;
    }

    public String getModuleSize() 
    {
        return moduleSize;
    }
    public void setSysType(String sysType) 
    {
        this.sysType = sysType;
    }

    public String getSysType() 
    {
        return sysType;
    }
    public void setModuleType(String moduleType) 
    {
        this.moduleType = moduleType;
    }

    public String getModuleType() 
    {
        return moduleType;
    }
    public void setUploadingStatus(String uploadingStatus) 
    {
        this.uploadingStatus = uploadingStatus;
    }

    public String getUploadingStatus() 
    {
        return uploadingStatus;
    }
    public void setUploadingLogId(Long uploadingLogId) 
    {
        this.uploadingLogId = uploadingLogId;
    }

    public Long getUploadingLogId() 
    {
        return uploadingLogId;
    }
    public void setOrderNum(Long orderNum) 
    {
        this.orderNum = orderNum;
    }

    public Long getOrderNum() 
    {
        return orderNum;
    }
    public void setIsDelete(Long isDelete) 
    {
        this.isDelete = isDelete;
    }

    public Long getIsDelete() 
    {
        return isDelete;
    }
    public void setCreated(String created) 
    {
        this.created = created;
    }

    public String getCreated() 
    {
        return created;
    }
    public void setModified(String modified) 
    {
        this.modified = modified;
    }

    public String getModified() 
    {
        return modified;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("appId", getAppId())
            .append("appCore", getAppCode())
            .append("uploadingType", getUploadingType())
            .append("moduleName", getModuleName())
            .append("version", getVersion())
            .append("moduleUrl", getModuleUrl())
            .append("moduleSize", getModuleSize())
            .append("sysType", getSysType())
            .append("moduleType", getModuleType())
            .append("uploadingStatus", getUploadingStatus())
            .append("uploadingLogId", getUploadingLogId())
            .append("orderNum", getOrderNum())
            .append("isDelete", getIsDelete())
            .append("created", getCreated())
            .append("modified", getModified())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
